---

- name: Install mpd binary
  become: yes
  ansible.builtin.apt:
    name: mpd
    state: latest
    update_cache: yes

- name: Generate config file
  ansible.builtin.template:
    dest: "{{ role_path }}/files/mpd/.config/mpd/mpd.conf"
    src: "mpd.j2"

- name: Stow config files
  stow:
    package: mpd
    dir: "{{ role_path }}/files"
    state: latest

- name: Restart daemon to reload config
  ansible.builtin.systemd:
    name: mpd
    state: restarted
    enabled: yes
    scope: user
